FROM ubuntu:16.04
MAINTAINER Yaltik - Fabien Bourgeois <fabien@yaltik.com>

# Environment variables
ENV FRAPPE_USER=frappe \
  MYSQL_PASSWORD=somethingToChange \
  ADMIN_PASSWORD=somethingToChange

# Global dependencies
RUN apt-get update
RUN apt-get install -y sudo curl
# Frappe dependencies
RUN apt-get install -y python-minimal build-essential python-setuptools

# Create frappe user
RUN useradd $FRAPPE_USER -m
# RUN usermod -aG sudo $FRAPPE_USER
RUN echo "$FRAPPE_USER ALL=(ALL) NOPASSWD: ALL" > /etc/sudoers.d/frappe
WORKDIR /home/$FRAPPE_USER

# Install frappe
RUN curl -LO https://raw.githubusercontent.com/frappe/bench/master/playbooks/install.py

# Volumes : data dir
VOLUME /home/$FRAPPE_USER/
